com.mapinfo.midev.feature

## Interface IFeatureAttributeDefinition

All Superinterfaces:
  IAttributeDefinition, Serializable

    public interface IFeatureAttributeDefinition
    extends IAttributeDefinition

Describes an attribute of a feature that contains values that are IFeature instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`AttributeDefinitionCollection` `getAttributeDefinitions()` Returns the atribute definitions that make up the features in this attribute.

### Methods inherited from interface com.mapinfo.midev.feature.IAttributeDefinition

`getDataSourceAttributeMetadata, getDataType, getDecimals, getName, getWidth, isNullable, isReadOnly, isUnique`

### Method Detail

#### getAttributeDefinitions

    AttributeDefinitionCollection getAttributeDefinitions()

Returns the atribute definitions that make up the features in this attribute.

Returns:
  The atribute definitions that make up the features in this attribute.